Export (0) Print
Expand All
This topic has not yet been rated - Rate this topic

Microsoft Security Bulletin MS99-060 - Critical

Patch Available for "HTML Mail Attachment" Vulnerability

Published: December 22, 1999

Version: 1.0

Originally Posted: December 22, 1999

Summary

Microsoft has released a patch that addresses two issues:

  • It eliminates a security vulnerability in the Microsoft® Outlook Express mail client for Macintosh systems. The vulnerability could allow attachments to HTML mails to be automatically downloaded onto the user's computer.
  • It provides replacements for several digital certificates that are included in Internet Explorer for Macintosh, and will expire on December 31, 1999.

Frequently asked questions regarding this patch can be found at http://www.microsoft.com/technet/security/bulletin/fq99-060.mspx.

Issue

There are two issues here. The first is a security vulnerability found in Outlook Express 5. By design, when an HTML mail is received, the mail content is downloaded onto the user's machine and processed. However, attachments to the mail should not be downloaded unless the user requests it. A flaw in Outlook Express 5 for Macintosh causes it to download all content, including attachments. The vulnerability does not provide a way for a malicious user to launch the downloaded attachments.

The second issue involves several digital certificates that are included in Internet Explorer 4.5 for Macintosh. These certificates are due to expire on December 31, 1999. The patch provides updated certificates, and also adds support for X509 V3 certificates. There is no security vulnerability associated with this issue; Microsoft is simply providing the replacement certificates and X.509 V3 support as a community service.

It is important to note that both the security vulnerability and the certificate expiration issue affect only Outlook Express and Internet Explorer on the Macintosh; the Windows versions of these products are not affected.

Affected Software Versions

  • Microsoft Internet Explorer 4.5 for Macintosh
  • Microsoft Outlook Express 5.0 for Macintosh (available as a stand-alone product or bundled with Internet Explorer 5.0 for Macintosh)

Vulnerability Identifier: CVE-2000-0036

Patch Availability

More Information

Please see the following references for more information related to this issue.

Obtaining Support on this Issue

This is a fully supported patch. Information on contacting Microsoft Technical Support is available at http://support.microsoft.com/contactussupport/?ws=support.

Revisions

  • December 22, 1999: Bulletin Created.

THE INFORMATION PROVIDED IN THE MICROSOFT KNOWLEDGE BASE IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND. MICROSOFT DISCLAIMS ALL WARRANTIES, EITHER EXPRESS OR IMPLIED, INCLUDING THE WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. IN NO EVENT SHALL MICROSOFT CORPORATION OR ITS SUPPLIERS BE LIABLE FOR ANY DAMAGES WHATSOEVER INCLUDING DIRECT, INDIRECT, INCIDENTAL, CONSEQUENTIAL, LOSS OF BUSINESS PROFITS OR SPECIAL DAMAGES, EVEN IF MICROSOFT CORPORATION OR ITS SUPPLIERS HAVE BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES. SOME STATES DO NOT ALLOW THE EXCLUSION OR LIMITATION OF LIABILITY FOR CONSEQUENTIAL OR INCIDENTAL DAMAGES SO THE FOREGOING LIMITATION MAY NOT APPLY.

Built at 2014-04-18T13:49:36Z-07:00

Did you find this helpful?
(1500 characters remaining)
Thank you for your feedback
Show:
© 2014 Microsoft. All rights reserved.